-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local DefaultInterface = require 'mdb.bmc.demo.IDemoUnit.DefaultInterface'
local InterfaceBarInterface = require 'mdb.bmc.kepler.Example.InterfaceBarInterface'

local childs = {}
local ClassC = {childs = childs}

local Mdb = require 'mc.mdb'

local TClassC = Mdb.register_object('/bmc/kepler/Example/ClassC', {
    {name = 'Default', interface = DefaultInterface.Default},
    {name = 'InterfaceBar', interface = InterfaceBarInterface.InterfaceBar}
})
ClassC.ClassC = TClassC

function TClassC:ctor()
    self.path = '/bmc/kepler/Example/ClassC'
end

return ClassC
